Arch RemoveShape

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Arch RemoveShape and the translation is 25% complete.
Outdated translations are marked like this.

Arch RemoveShape

Ubicación en el Menú
Arch → Utilities → Remove Shape
Entornos de trabajo
Arch
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Arch MeshToShape

Descripción

Esta herramienta intenta eliminar la forma cúbica interna de una Arch Wall o Arch Structure y ajustar sus propiedades, por lo que es totalmente paramétrica. Esta herramienta solo funcionará si la forma subyacente es cúbica (exactamente 6 caras, todas las esquinas tienen solo ángulos rectos).

Utilización

  1. Seleccione un Arch Wall o Arch Structure
  2. Presione la opción Remove Shape en Arch -> Menu de Utilidades

Scripting

Programación

Esta herramienta se puede utilizar en macros y desde la consola de Python por medio de las siguientes funciones:

removeShape(objs, mark=True)

toma un objeto Arch (pared o estructura) construido en una forma cúbica, y elimina la forma interna, manteniendo su longitud, ancho y alto como parámetros.

import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()